TomlSlurper (Groovy 4.0.15)

Package: groovy.toml

## [Java] Class TomlSlurper

- groovy.toml.TomlSlurper

-     @Incubating
      public class TomlSlurper
      extends Object

  Represents a TOML parser

  Since:
    4.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TomlSlurper()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `parse(Reader reader)` Parse the content of the specified reader into a tree of Nodes.
    `` | `public Object` | `parse(InputStream stream)` Parse the content of the specified reader into a tree of Nodes.
    `` | `public Object` | `parse(File file)` Parse the content of the specified file into a tree of Nodes.
    `` | `public Object` | `parse(Path path)` Parse the content of the specified path into a tree of Nodes.
    `` | `public Object` | `parseText(String toml)` Parse the content of the specified toml into a tree of Nodes.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TomlSlurper()

  - ### Method Detail

    - #### public Object parse(Reader reader)

      Parse the content of the specified reader into a tree of Nodes.

      Parameters:
        `reader` - the reader of toml
      Returns:
        the root node of the parsed tree of Nodes

    - #### public Object parse(InputStream stream)

      Parse the content of the specified reader into a tree of Nodes.

      Parameters:
        `stream` - the reader of toml
      Returns:
        the root node of the parsed tree of Nodes

    - #### public Object parse(File file)

      Parse the content of the specified file into a tree of Nodes.

      Parameters:
        `file` - the reader of toml
      Returns:
        the root node of the parsed tree of Nodes

    - #### public Object parse(Path path)

      Parse the content of the specified path into a tree of Nodes.

      Parameters:
        `path` - the reader of toml
      Returns:
        the root node of the parsed tree of Nodes

    - #### public Object parseText(String toml)

      Parse the content of the specified toml into a tree of Nodes.

      Parameters:
        `toml` - the content of toml
      Returns:
        the root node of the parsed tree of Nodes